## PDC Load Config indication PDC Load Config indication |

## Functions

QmiIndicationPdcLoadConfigOutput * | qmi_indication_pdc_load_config_output_ref ()
void | qmi_indication_pdc_load_config_output_unref ()
gboolean | qmi_indication_pdc_load_config_output_get_frame_reset ()
gboolean | qmi_indication_pdc_load_config_output_get_remaining_size ()
gboolean | qmi_indication_pdc_load_config_output_get_received ()
gboolean | qmi_indication_pdc_load_config_output_get_indication_result ()
gboolean | qmi_indication_pdc_load_config_output_get_token ()

## Types and Values

| QmiIndicationPdcLoadConfigOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationPdcLoadConfigOutput

## Description

## Functions

### qmi_indication_pdc_load_config_output_ref ()

    QmiIndicationPdcLoadConfigOutput *
    qmi_indication_pdc_load_config_output_ref
                                   (QmiIndicationPdcLoadConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationPdcLoadConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_pdc_load_config_output_unref ()

    void
    qmi_indication_pdc_load_config_output_unref
                                   (QmiIndicationPdcLoadConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationPdcLoadConfigOutput. |

Since: 1.18

### qmi_indication_pdc_load_config_output_get_frame_reset ()

    gboolean
    qmi_indication_pdc_load_config_output_get_frame_reset
                                   (QmiIndicationPdcLoadConfigOutput *self,
                                    gboolean *value_frame_reset,
                                    GError **error);

Get the 'Frame Reset' field from `self` .

#### Parameters

self | a QmiIndicationPdcLoadConfigOutput. |
value_frame_reset | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_pdc_load_config_output_get_remaining_size ()

    gboolean
    qmi_indication_pdc_load_config_output_get_remaining_size
                                   (QmiIndicationPdcLoadConfigOutput *self,
                                    guint32 *value_remaining_size,
                                    GError **error);

Get the 'Remaining Size' field from `self` .

#### Parameters

self | a QmiIndicationPdcLoadConfigOutput. |
value_remaining_size | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_pdc_load_config_output_get_received ()

    gboolean
    qmi_indication_pdc_load_config_output_get_received
                                   (QmiIndicationPdcLoadConfigOutput *self,
                                    guint32 *value_received,
                                    GError **error);

Get the 'Received' field from `self` .

#### Parameters

self | a QmiIndicationPdcLoadConfigOutput. |
value_received | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_pdc_load_config_output_get_indication_result ()

    gboolean
    qmi_indication_pdc_load_config_output_get_indication_result
                                   (QmiIndicationPdcLoadConfigOutput *self,
                                    guint16 *value_indication_result,
                                    GError **error);

Get the 'Indication Result' field from `self` .

#### Parameters

self | a QmiIndicationPdcLoadConfigOutput. |
value_indication_result | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_pdc_load_config_output_get_token ()

    gboolean
    qmi_indication_pdc_load_config_output_get_token
                                   (QmiIndicationPdcLoadConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiIndicationPdcLoadConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

## Types and Values

### QmiIndicationPdcLoadConfigOutput

    typedef struct _QmiIndicationPdcLoadConfigOutput QmiIndicationPdcLoadConfigOutput;

The QmiIndicationPdcLoadConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18